{
Copyright 2006-2007 John T. Haller of PortableApps.com

Website: http://PortableApps.com/

This software is OSI Certified Open Source Software.
OSI Certified is a certification mark of the Open Source Initiative.

Please see the included license file for the full details on
all included components.

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
}

unit add_app;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons;

type
  TfrmAddApp = class(TForm)
    opndlgAddApp: TOpenDialog;
    btnCancel: TButton;
    btnInstall: TButton;
    lblAdd: TStaticText;
    procedure btnInstallClick(Sender: TObject);
    procedure btnCancelClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    InstallMessage: String;
  end;

var
  frmAddApp: TfrmAddApp;

implementation

uses main;

{$R *.dfm}

procedure TfrmAddApp.btnCancelClick(Sender: TObject);
begin
  frmAddApp.close;
end;

procedure TfrmAddApp.btnInstallClick(Sender: TObject);
begin
  opndlgAddApp.Filter :=
  'Compatible File (*.paf.exe, *.pat.exe)|*.paf.exe;*.pat.exe|PortableApps Format (*.paf.exe)|*.paf.exe|PortableApps Theme (*.pat.exe)|*.pat.exe|Other Installers (*.exe)|*.exe';
  if opndlgAddApp.Execute then
  begin
    frmMenu.strAppToInstall:=opndlgAddApp.FileName;
    frmAddApp.close;
  end;
end;

end.
